> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all mass beneficiary submissions

Retrieve all the mass beneficiary submissions of a client

The `status` field will provide the latest status of each submission, whether processing is complete or still running.


## OpenAPI

````yaml /openapi/ebury-api-public.json get /mass-beneficiaries
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security: []
paths:
  /mass-beneficiaries:
    get:
      tags:
        - Mass Beneficiaries
      summary: Retrieve all mass beneficiary submissions
      description: Retrieve all the mass beneficiary submissions of a client
      parameters:
        - $ref: '#/components/parameters/ClientId'
        - $ref: '#/components/parameters/Authorization'
        - description: The desired page number for pagination. By default is 1.
          in: query
          name: page
          required: false
          schema:
            type: integer
            format: int32
        - description: The number of items per page for pagination. By default is 50.
          in: query
          name: page_size
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: List of mass beneficiaries
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MassBeneficiary'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/ClientNotFound'
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    ClientId:
      description: The identifier of a client.
      in: query
      name: client_id
      required: true
      schema:
        type: string
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
  schemas:
    MassBeneficiary:
      description: This model is a representation of a mass beneficiary.
      type: object
      properties:
        mass_beneficiary_id:
          description: Unique UUID of the mass beneficiary.
          type: string
          format: uuid
        error:
          allOf:
            - $ref: '#/components/schemas/ErrorMessage'
          description: The generic error message for the mass beneficiary request, if any.
          nullable: true
        links:
          $ref: '#/components/schemas/MassBeneficiaryLinks'
        summary:
          $ref: '#/components/schemas/MassBeneficiarySummary'
        status:
          $ref: '#/components/schemas/MassBeneficiaryStatus'
      required:
        - mass_beneficiary_id
        - error
        - links
        - summary
        - status
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    MassBeneficiaryLinks:
      description: >-
        Links to the resources related to the errored and successfully created
        beneficiaries of a mass beneficiary. The `mass_beneficiary_id` does not
        need to be stored, as these resources may be accessed with the provided
        links.
      type: object
      properties:
        errors_href:
          description: >-
            The link to the errors endpoint
            `/mass-beneficiaries/{mass_beneficiary_id}/errors`.
          type: string
        created_href:
          description: >-
            The link to the created beneficiaries endpoint
            `/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries`.
          type: string
      required:
        - errors_href
        - created_href
    MassBeneficiarySummary:
      description: Categorized counters for the mass beneficiary.
      type: object
      properties:
        received:
          description: Total count of received beneficiaries.
          type: integer
        created:
          description: Total count of created beneficiaries.
          type: integer
        errored:
          description: Total count of errored beneficiaries.
          type: integer
      required:
        - received
        - created
        - errored
    MassBeneficiaryStatus:
      description: |-
        The status of a mass beneficiary instruction:
        * `pending`: The mass beneficiary is pending to be processed.
        * `creating`: The mass beneficiary is being processed.
        * `created`: The mass beneficiary has been successfully processed.
        * `failed`: The mass beneficiary has failed during processing.
        * `unknown`: The mass beneficiary has an unknown status.
      type: string
      enum:
        - pending
        - creating
        - created
        - failed
        - unknown
  responses:
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    ClientNotFound:
      description: Client identifier not found.
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'

````